Bug 975122 (CVE-2013-2460)

Summary: CVE-2013-2460 OpenJDK: tracing insufficient access checks (Serviceability, 8010209)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20130618,reported=20130610,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=notaffected,rhel-6/java-1.6.0-openjdk=notaffected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.5.0-ibm=notaffected,rhel-6/java-1.5.0-ibm=notaffected,rhel-5/java-1.6.0-ibm=notaffected,rhel-6/java-1.6.0-ibm=notaffected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-17 12:07:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 973111, 973116    

Comment 1 Jan Lieskovsky 2013-06-19 10:18:21 EDT
Common Vulnerabilities and Exposures have assigned the CVE identifier of CVE-2013-2460 to the following vulnerability:

Unspecified vulnerability in the Java Runtime Environment (JRE) component in Oracle Java SE 7 Update 21 and earlier allows remote attackers to affect confidentiality, integrity, and availability via unknown vectors related to Serviceability.

External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html
Comment 2 Tomas Hoger 2013-06-19 16:10:09 EDT
Upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/160cde99bb1a
Comment 3 errata-xmlrpc 2013-06-19 20:05:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html
Comment 4 errata-xmlrpc 2013-06-19 20:09:55 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html
Comment 5 errata-xmlrpc 2013-06-20 10:53:14 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html
Comment 7 errata-xmlrpc 2013-07-15 16:43:41 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html
Comment 9 Tomas Hoger 2013-07-22 03:11:48 EDT
Write-up and PoC for this from Adam Gowdiak of the Security Explorations:

http://www.security-explorations.com/materials/SE-2012-01-ORACLE-12.pdf
http://www.security-explorations.com/materials/se-2012-01-61.zip